<ion-header>
  <profilebar (onCurrentWeekChanged)="onCurrentWeekChanged($event)"></profilebar>
</ion-header>
<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-slides slidesPerView="1.1">
          <ion-slide tappable (tap)="gotoGettingStarted()" *ngIf="showGettingStarted">
            <ion-card>
              <div class="overlay red"></div>
              <img src="assets/images/cover-getstarted.png" alt="Get Started">
              <ion-card-content>
                <ion-card-title>GET STARTED!</ion-card-title>
              </ion-card-content>
            </ion-card>
          </ion-slide>
          <ion-slide tappable (tap)="gotoEducation()">
            <ion-card>
              <div class="overlay blue"></div>
              <img src="assets/images/cover-education.png" alt="Education">
              <ion-card-content>
                <ion-card-title>EDUCATION</ion-card-title>
              </ion-card-content>
            </ion-card>
          </ion-slide>
          <ion-slide tappable (tap)="gotoExercises()">
            <ion-card>
              <div class="overlay orange"></div>
              <img src="assets/images/cover-exercisedemonstration.png" alt="Exercise">
              <ion-card-content>
                <ion-card-title>EXERCISE<br>DEMONTRATIONS</ion-card-title>
              </ion-card-content>
            </ion-card>
          </ion-slide>
          <ion-slide tappable (tap)="gotoAccountability()">
            <ion-card>
              <div class="overlay yellow"></div>
              <img src="assets/images/cover-accountability.png" alt="Accountability">
              <ion-card-content>
                <ion-card-title>I AM ELITE<br>ACCOUNTABILITY</ion-card-title>
              </ion-card-content>
            </ion-card>
          </ion-slide>
          <ion-slide tappable (tap)="gotoCoaching()">
            <ion-card>
              <div class="overlay green"></div>
              <img src="assets/images/cover-oneonone.png" alt="One on One Couching with Jay">
              <ion-card-content>
                <ion-card-title>ONE ON ONE<br>COACHING WITH JAY</ion-card-title>
              </ion-card-content>
            </ion-card>
          </ion-slide>
          <ion-slide tappable (tap)="gotoTrackYourProgress()">
            <ion-card>
              <div class="overlay purple"></div>
              <img src="assets/images/cover-trackyourprogress.png" alt="Track Your Progress">
              <ion-card-content>
                <ion-card-title>TRACK<br>YOUR PROGRESS</ion-card-title>
              </ion-card-content>
            </ion-card>
          </ion-slide>
          <ion-slide tappable (tap)="gotoElite()">
            <ion-card>
              <div class="overlay teal"></div>
              <img src="assets/images/cover-becomingelite.png" alt="Becoming Elite">
              <ion-card-content>
                <ion-card-title>BECOMING ELITE</ion-card-title>
              </ion-card-content>
            </ion-card>
          </ion-slide>
          <ion-slide tappable (tap)="gotoSupplements()">
            <ion-card>
              <div class="overlay orange"></div>
              <img src="assets/images/cover-supplements.png" alt="Supplements and Vitamins">
              <ion-card-content>
                <ion-card-title>SUPPLEMENTS<br>AND VITAMINS</ion-card-title>
              </ion-card-content>
            </ion-card>
          </ion-slide>
        </ion-slides>
      </ion-col>
    </ion-row>
    <ion-row class="weekly-items no-flex-please">
      <div class="section-title">Welcome to Week {{ currentWeek }}</div>
      <ion-col>
        <ion-card>
          <button tappable ion-button full (tap)="gotoOverview()">
            <div class="heading-group">
              <div class="week-label">Week {{ currentWeek }}</div>
              <div class="week-title">Overview</div>
            </div>
            <div class="icon">
              <div class="icon-target"></div>
            </div>
          </button>
        </ion-card>
        <ion-card>
          <button tappable ion-button full (tap)="gotoTraining()">
            <div class="heading-group">
              <div class="week-label">Week {{ currentWeek }}</div>
              <div class="week-title">Training Split</div>
            </div>
            <div class="icon">
              <div class="icon-weight"></div>
            </div>
          </button>
        </ion-card>
        <ion-card>
          <button tappable ion-button full (tap)="gotoWorkouts()">
            <div class="heading-group">
              <div class="week-label">Week {{ currentWeek }}</div>
              <div class="week-title">Workouts</div>
            </div>
            <div class="icon">
              <div class="icon-lift"></div>
            </div>
          </button>
        </ion-card>
        <ion-card>
          <button tappable ion-button full (tap)="gotoNutrition()">
            <div class="heading-group">
              <div class="week-label">Week {{ currentWeek }}</div>
              <div class="week-title">Nutrition</div>
            </div>
            <div class="icon">
              <div class="icon-nutrition"></div>
            </div>
          </button>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
